namespace Application.Abstractions.Chat
{
    public interface IChatConnectionTracker
    {
        Task AddAsync(ConnectedUser user);
        Task RemoveAsync(string connectionId);
        Task<IReadOnlyList<ConnectedUser>> GetAllAsync();
        Task ClearAllAsync();
    }
}